<!DOCTYPE html>
<html lang="en">

<head>
  <link rel="stylesheet"
        href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css">
</head>

<body>

  <div id="app" class="ui container">
    <h1>Notification Center</h1>
    
    <notification-message type="error" header="Oh no!">
      <p>Your flight has been <b>canceled</b>!</p>
      Click <a href="">here</a> to find another flight.
    </notification-message>

    <notification-message type="success" header="Oh yeah!">
      <p>Your flight is on time</p>
    </notification-message>

    <notification-message>
      Good Morning
    </notification-message>
    
     <notification-message type="warning" header="Warn">
      <b>Good luck!</b>
    </notification-message>
  </div>

  <!-- Import Vue.js -->
  <script src="https://unpkg.com/vue"></script>

  <script type="text/x-template" id="notification-message-template">
    <div class="ui message" :class="type" v-if="!hidden">
      <i class="close icon" @click="hide"></i>
      <div class="header">
        {{ header }}
      </div>
      <slot></slot>
    </div>
  </script>
  
  <!-- Your JavaScript Code :) -->
  <script>
    Vue.component('notification-message', {
      template: '#notification-message-template',      
      
      props: {
        type: {
          type: String,
          default: 'info',
        },
        header: {
          type: String,
          default: 'Information',
        },
      },
      
      data() {
        return {
          hidden: false,
        };
      },
      
      methods: {
        hide() {
          this.hidden = true;
        },
      },
      
    });
    
    new Vue({
      el: '#app',
    })
  </script>
</body>

</html>  
